- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- a
- c
- d
- e
- g
- i
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- ~

### - a -

- accessControlList() : SignOn::IdentityInfo
- addReference() : SignOn::Identity
- AuthService() : SignOn::AuthService
- AuthSession() : SignOn::AuthSession

### - c -

- cancel() : SignOn::AuthSession
- caption() : SignOn::IdentityInfo
- challenge() : SignOn::AuthSession
- clear() : SignOn::AuthService
- cleared() : SignOn::AuthService
- createSession() : SignOn::Identity
- credentialsStored() : SignOn::Identity

### - d -

- data() : SignOn::SessionData
- destroySession() : SignOn::Identity

### - e -

- Error() : SignOn::Error
- error() : SignOn::Identity , SignOn::AuthSession , SignOn::AuthService
- Error() : SignOn::Error
- existingIdentity() : SignOn::Identity

### - g -

- getAccessControlTokens() : SignOn::SessionData
- getProperty() : SignOn::SessionData

### - i -

- id() : SignOn::Identity , SignOn::IdentityInfo
- identities() : SignOn::AuthService
- Identity() : SignOn::Identity
- IdentityInfo() : SignOn::IdentityInfo
- IdentityRegExp() : SignOn::AuthService::IdentityRegExp
- info() : SignOn::Identity
- isStoringSecret() : SignOn::IdentityInfo
- isValid() : SignOn::AuthService::IdentityRegExp

### - m -

- mechanisms() : SignOn::IdentityInfo
- mechanismsAvailable() : SignOn::AuthService , SignOn::AuthSession
- message() : SignOn::Error
- methods() : SignOn::IdentityInfo
- methodsAvailable() : SignOn::AuthService , SignOn::Identity

### - n -

- name() : SignOn::AuthSession
- newIdentity() : SignOn::Identity

### - o -

- operator+=() : SignOn::SessionData
- operator=() : SignOn::IdentityInfo , SignOn::Error , SignOn::SessionData
- owner() : SignOn::IdentityInfo

### - p -

- pattern() : SignOn::AuthService::IdentityRegExp
- process() : SignOn::AuthSession
- propertyNames() : SignOn::SessionData

### - q -

- queryAvailableMechanisms() : SignOn::AuthSession
- queryAvailableMethods() : SignOn::Identity
- queryIdentities() : SignOn::AuthService
- queryInfo() : SignOn::Identity
- queryMechanisms() : SignOn::AuthService
- queryMethods() : SignOn::AuthService

### - r -

- realms() : SignOn::IdentityInfo
- refCount() : SignOn::IdentityInfo
- referenceAdded() : SignOn::Identity
- referenceRemoved() : SignOn::Identity
- remove() : SignOn::Identity
- removed() : SignOn::Identity
- removeMethod() : SignOn::IdentityInfo
- removeReference() : SignOn::Identity
- request() : SignOn::AuthSession
- requestCredentialsUpdate() : SignOn::Identity
- response() : SignOn::AuthSession

### - s -

- secret() : SignOn::IdentityInfo
- secretVerified() : SignOn::Identity
- SessionData() : SignOn::SessionData
- setAccessControlList() : SignOn::IdentityInfo
- setCaption() : SignOn::IdentityInfo
- setId() : SignOn::IdentityInfo
- setMessage() : SignOn::Error
- setMethod() : SignOn::IdentityInfo
- setOwner() : SignOn::IdentityInfo
- setRealms() : SignOn::IdentityInfo
- setRefCount() : SignOn::IdentityInfo
- setSecret() : SignOn::IdentityInfo
- setStoreSecret() : SignOn::IdentityInfo
- setType() : SignOn::Error , SignOn::IdentityInfo
- setUserName() : SignOn::IdentityInfo
- signedOut() : SignOn::Identity
- signMessage() : SignOn::AuthSession
- signOut() : SignOn::Identity
- stateChanged() : SignOn::AuthSession
- storeCredentials() : SignOn::Identity

### - t -

- toMap() : SignOn::SessionData
- type() : SignOn::Error , SignOn::IdentityInfo

### - u -

- userName() : SignOn::IdentityInfo
- userVerified() : SignOn::Identity

### - v -

- verifySecret() : SignOn::Identity
- verifyUser() : SignOn::Identity

### - ~ -

- ~AuthService() : SignOn::AuthService
- ~Error() : SignOn::Error
- ~Identity() : SignOn::Identity
- ~IdentityInfo() : SignOn::IdentityInfo